import {
  useShippingProfile
} from "./chunk-EPSDO2MJ.js";
import "./chunk-RHKRREUU.js";
import "./chunk-ZA2KFUFR.js";
import "./chunk-DTGEFKK4.js";
import "./chunk-NBMM2TZK.js";

// src/pages/settings/shipping-profiles/[id]/breadcrumb.tsx
import { jsx } from "react/jsx-runtime";
var ShippingProfileDetailBreadcrumb = (props) => {
  const { shipping_profile_id } = props.params || {};
  const { shipping_profile } = useShippingProfile(
    shipping_profile_id,
    void 0,
    {
      initialData: props.data,
      enabled: Boolean(shipping_profile_id)
    }
  );
  if (!shipping_profile) {
    return null;
  }
  return /* @__PURE__ */ jsx("span", { children: shipping_profile.name });
};
export {
  ShippingProfileDetailBreadcrumb
};
